{% extends "layout/admin.html" %}
{% block page_title %}Contenidos{% endblock %}
{% block title %}Contenidos{% endblock %}
{% block content %}
<div class="card row">
  <form>
    <div class="col s8 m10"><input type="text" name="search" placeholder="Buscar" value="{{search}}"></div>
    <div class="col s4 m2"><p><button class="btn blue"> <i class="fa fa-search"></i></button></p></div>
  </form>
    <div class="col s12">
        <table class="bordered striped">
            <thead>
                <th>Titúlo</th>
                <th><small>Idioma</small></th>
                <th><small>Tipo de contenido</small></th>
                <th><small></small></th>
            </thead>
            <tbody>
                {% for obj in fronts %}
                <tr>
                    <td><a href="{% url 'translations_detail' web_pk obj.pk %}">{{obj.title}}</a></td>
                    <td><small>{{obj.language}}</small></td>
                    <td><small>Página Principal</small></td>
                    <td>
                        <a href="{% url 'translations_update' web_pk obj.pk %}" title="Editar"><i class="fa fa-pencil"></i></a>
                        <a href="{% url 'translations_seo' web_pk obj.pk %}" title="Optimizar SEO" class="orange-text"><i class="fa fa-search"></i></a>
                        <a href="{{web_protocol|yesno:"https://,http://" }}{{web_domain}}/" target="_blank" class="green-text"><i class="fa fa-globe" title="Ver contenido en tu página web"></i></a>
                    </td>
                </tr>
                {% endfor %}
                {% for obj in objs %}
                <tr>
                    <td><a href="{% url 'nodes_detail' web_pk obj.pk %}">{{obj.title}}</a></td>
                    <td><small>{{obj.language}}</small></td>
                    <td><small>{{obj.get_node_type_display}}</small></td>
                    <td>
                    {%if obj.node_type == 't' %}
                        <a href="{% url 'nodes_tour_edit' web_pk obj.pk %}" title="Editar"><i class="fa fa-pencil"></i></a>
                    {%  else %}
                        <a href="{% url 'nodes_edit' web_pk obj.pk %}" title="Editar"><i class="fa fa-pencil"></i></a>
                    {%  endif %}
                        <a href="{% url 'nodes_seo' web_pk obj.pk %}" class="orange-text"><i class="fa fa-search" title="Optimizar SEO"></i></a>
                        <a href="{{web_protocol|yesno:"https://,http://" }}{{web_domain}}{{obj.uri}}?level=2" target="_blank" class="green-text"><i class="fa fa-globe" title="Ver contenido en tu página web"></i></a>
                        <a href="{% url 'nodes_clonar' web_pk obj.pk %}"><i class="fa fa-clone" title="Clonar contenido"></i></a>
                    </td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
        <ul class="pagination center">
        {% for num in objs.paginator.page_range %}
            {% ifequal num objs.number %}
            <li class="active"><a href="#!">{{ num }}</a></li>
            {% else %}
            <li class="waves-effect"><a href="?page={{ num }}">{{ num }}</a></li>
            {% endifequal %}
        {% endfor %}
        </ul>
    </div>
</div>
</div>
<div class="fixed-action-btn">
    <a class="btn-floating btn-large blue" href="{% url 'nodes_new' web_pk %}">
        <i class="fa fa-plus"></i>
    </a>
</div>
{% endblock %}